## lomiri-indicator-transfer 0.4

=== CMakeLists.txt ===
project (indicator-transfer C CXX)
cmake_minimum_required (VERSION 3.5)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

##
##  GNU standard installation directories
##
include (GNUInstallDirs)

set (PROJECT_VERSION "0.3")
set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE "indicator-transfer")
add_definitions (
    -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
    -DGNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
)

option (enable_tests "Build the package's automatic tests." ON)
option (enable_lcov "Generate lcov code coverage reports." ON)

if (EXISTS "/etc/debian_version") # Workaround for libexecdir on debian
  set (CMAKE_INSTALL_LIBEXECDIR "${CMAKE_INSTALL_LIBDIR}")
  set (CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBDIR}")
endif ()
set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

##
## Version
##

set(INDICATOR_TRANSFER_VERSION_MAJOR 0)
set(INDICATOR_TRANSFER_VERSION_MINOR 0)
set(INDICATOR_TRANSFER_VERSION_PATCH 2)
set(INDICATOR_TRANSFER_VERSION "${INDICATOR_TRANSFER_VERSION_MAJOR}.${INDICATOR_TRANSFER_VERSION_MINOR}.${INDICATOR_TRANSFER_VERSION_PATCH}")

##
##  Check for prerequisites
##

find_package (PkgConfig REQUIRED)
include (FindPkgConfig)

pkg_check_modules(SERVICE_DEPS REQUIRED
                  glib-2.0>=2.36
                  gmodule-2.0>=2.36
                  gio-unix-2.0>=2.36
                  properties-cpp>=0.0.1
                  click-0.4>=0.4.30
                  json-glib-1.0
                  lomiri-app-launch-0)
include_directories(SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

##
##  custom targets
##

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 -I${CMAKE_SOURCE_DIR}/include
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

##
##  Actually building the service
##

# those GActionEntry structs tickle -Wmissing-field-initializers
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  set (CXX_WARNING_ARGS "${CXX_WARNING_ARGS} -Weverything -Wno-c++98-compat -Wno-missing-field-initializers")
else()
  set (CXX_WARNING_ARGS "${CXX_WARNING_ARGS} -Wall -Wextra -Wpedantic -Wno-missing-field-initializers")
endif()

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# testing & coverage
if (${enable_tests})
  pkg_check_modules (DBUSTEST REQUIRED dbustest-1>=14.04.0)
  enable_testing ()
  if (${enable_lcov})
    include(GCov)
  endif ()
endif ()

# add the subdirs
add_subdirectory(data)
add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(po)
if (${enable_tests})
  add_subdirectory(tests)
endif ()

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== data/CMakeLists.txt ===
##
##  Systemd Unit File
##

# where to install
pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

# install it
install (FILES "${SYSTEMD_USER_FILE}"
         DESTINATION "${SYSTEMD_USER_DIR}")

##
##  XDG Autostart File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##
##  Unity Indicator File
##

# where to install
set (UNITY_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/unity/indicators")
message (STATUS "${UNITY_INDICATOR_DIR} is the Unity Indicator install dir")

set (UNITY_INDICATOR_NAME "com.lomiri.indicator.transfer")
set (UNITY_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${UNITY_INDICATOR_NAME}")

install (FILES "${UNITY_INDICATOR_FILE}"
         DESTINATION "${UNITY_INDICATOR_DIR}")

##
## Pkg dev file
set (INDICATOR_PKG_NAME "${CMAKE_PROJECT_NAME}.pc")
set (INDICATOR_PKG_FILE "${CMAKE_CURRENT_BINARY_DIR}/${INDICATOR_PKG_NAME}")
set (INDICATOR_PKG_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${INDICATOR_PKG_NAME}.in")
configure_file ("${INDICATOR_PKG_FILE_IN}" "${INDICATOR_PKG_FILE}" @ONLY)
install (FILES "${INDICATOR_PKG_FILE}"
         DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== debian/changelog ===
lomiri-indicator-transfer (0.4-2) unstable; urgency=medium

  * Re-upload as is source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Jan 2023 20:34:37 +0100

lomiri-indicator-transfer (0.4-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1028902).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jan 2023 17:27:14 +0100

=== debian/control ===
Source: lomiri-indicator-transfer
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               dbus,
               libglib2.0-dev (>= 2.35.4),
               libproperties-cpp-dev,
               libclick-dev (>= 0.4.30),
               libjson-glib-dev,
               liblomiri-app-launch-dev,
# for coverage reports
               lcov,
# for tests
               cmake-extras,
               cppcheck,
               dbus-test-runner,
               libgtest-dev,
               libdbustest1-dev,
               google-mock (>= 1.8.0),
               valgrind-if-available,
# for systemd unit directory
               systemd,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/indicator-transfer
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer.git

Package: lomiri-indicator-transfer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lomiri-indicator-transfer-common (>= ${source:Version}),
         libindicator-transfer0 (= ${binary:Version}),
         ayatana-indicator-common,
Recommends: indicator-applet | indicator-renderer,
            content-hub,
            lomiri-download-manager,
            lomiri-indicator-transfer-download-manager (>= ${binary:Version}),
Description: Lomiri Indicator showing transfers
 Indicator that shows file/data transfers in the indicator bar of the
 Lomiri operating shell.
 .
 This package provides the indicator service itself.

Package: lomiri-indicator-transfer-common
Architecture: all
Depends: ${misc:Depends},
Description: Lomiri Indicator showing transfers - common files
 Indicator that shows file/data transfers in the indicator bar of the
 Lomiri operating shell.
 .
 This package provides architecture independent files, such as translation
 files.

Package: lomiri-indicator-transfer-download-manager
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lomiri-indicator-transfer (= ${binary:Version}),
Description: Download manager plugin for Lomiri's Transfer Indicator
 Indicator that shows file/data transfers in the indicator bar of the
 Lomiri operating shell.
 .
 This package contains the associated download manager.

Package: libindicator-transfer0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Shared library used by transfer-indicator and plugins
 Indicator that shows file/data transfers in the indicator bar of the
 Lomiri operating shell.
 .
 This package contains a shared library used by Lomiri Indicator
 Transfer.

Package: libindicator-transfer-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libindicator-transfer0 (= ${binary:Version}),
Description: Development files for indicator-transfer
 Indicator that shows file/data transfers in the indicator bar of the
 Lomiri operating shell.
 .
 This package contains development headers for the shared library of
 Lomiri Indicator Transfer.

## lomiri-indicator-transfer 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project (indicator-transfer C CXX)
 cmake_minimum_required (VERSION 3.5)
+project (indicator-transfer VERSION 1.0.0 LANGUAGES C CXX)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -8,7 +8,6 @@
 ##
 include (GNUInstallDirs)
 
-set (PROJECT_VERSION "0.3")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "indicator-transfer")
 add_definitions (
@@ -30,9 +29,9 @@
 ## Version
 ##
 
-set(INDICATOR_TRANSFER_VERSION_MAJOR 0)
+set(INDICATOR_TRANSFER_VERSION_MAJOR 1)
 set(INDICATOR_TRANSFER_VERSION_MINOR 0)
-set(INDICATOR_TRANSFER_VERSION_PATCH 2)
+set(INDICATOR_TRANSFER_VERSION_PATCH 0)
 set(INDICATOR_TRANSFER_VERSION "${INDICATOR_TRANSFER_VERSION_MAJOR}.${INDICATOR_TRANSFER_VERSION_MINOR}.${INDICATOR_TRANSFER_VERSION_PATCH}")
 
 ##

=== include/CMakeLists.txt ===
add_subdirectory(transfer)

=== debian/changelog ===
lomiri-indicator-transfer (1.0.0-2) unstable; urgency=medium

  * Re-upload to unstable source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 21:33:55 +0100

lomiri-indicator-transfer (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
  * debian/lomiri-indicator-transfer.install:
    + Adjust installation path of the indicator profile file.
  * debian/:
    + SOVERSION bump of libindicator-transfer. There are no consumers in
      Debian except from the transfer indicator (in this src:pkg) itself.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 18:19:57 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          lomiri-indicator-transfer-common (>= ${source:Version}),
-         libindicator-transfer0 (= ${binary:Version}),
+         libindicator-transfer1 (= ${binary:Version}),
          ayatana-indicator-common,
 Recommends: indicator-applet | indicator-renderer,
             content-hub,
@@ -69,7 +69,7 @@
  .
  This package contains the associated download manager.
 
-Package: libindicator-transfer0
+Package: libindicator-transfer1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -87,7 +87,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libindicator-transfer0 (= ${binary:Version}),
+         libindicator-transfer1 (= ${binary:Version}),
 Description: Development files for indicator-transfer
  Indicator that shows file/data transfers in the indicator bar of the
  Lomiri operating shell.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ctest -j1 --output-on-failure
endif

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-indicator-transfer 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.5)
-project (indicator-transfer VERSION 1.0.0 LANGUAGES C CXX)
+project (indicator-transfer VERSION 1.1.0 LANGUAGES C CXX)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -8,8 +8,7 @@
 ##
 include (GNUInstallDirs)
 
-set (PACKAGE ${CMAKE_PROJECT_NAME})
-set (GETTEXT_PACKAGE "indicator-transfer")
+set (GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
 add_definitions (
     -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
     -DGNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -43,14 +43,14 @@
 ##
 
 # where to install
-set (UNITY_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/unity/indicators")
-message (STATUS "${UNITY_INDICATOR_DIR} is the Unity Indicator install dir")
+set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
+message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicator install dir")
 
-set (UNITY_INDICATOR_NAME "com.lomiri.indicator.transfer")
-set (UNITY_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${UNITY_INDICATOR_NAME}")
+set (LOMIRI_INDICATOR_NAME "com.lomiri.indicator.transfer")
+set (LOMIRI_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${LOMIRI_INDICATOR_NAME}")
 
-install (FILES "${UNITY_INDICATOR_FILE}"
-         DESTINATION "${UNITY_INDICATOR_DIR}")
+install (FILES "${LOMIRI_INDICATOR_FILE}"
+         DESTINATION "${AYATANA_INDICATOR_DIR}")
 
 ##
 ## Pkg dev file

=== src/CMakeLists.txt ===
set (SERVICE_LIB "indicator-transfer")
set (SERVICE_EXEC "indicator-transfer-service")

add_definitions (-DG_LOG_DOMAIN="${CMAKE_PROJECT_NAME}")

# handwritten source code...
set (SERVICE_LIB_HANDWRITTEN_SOURCES
     controller.cpp
     model.cpp
     plugin-source.cpp
     transfer.cpp
     view.cpp
     view-gmenu.cpp
     source.cpp
     multisource.cpp)

add_library(${SERVICE_LIB} SHARED ${SERVICE_LIB_HANDWRITTEN_SOURCES})
target_link_libraries (${SERVICE_LIB} PRIVATE ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS})

set_target_properties(${SERVICE_LIB} PROPERTIES
  VERSION ${INDICATOR_TRANSFER_VERSION}
  SOVERSION ${INDICATOR_TRANSFER_VERSION_MAJOR}
)
install (TARGETS ${SERVICE_LIB} LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})


# add the bin dir to the include path so that
# the compiler can find the generated header files
include_directories (${CMAKE_CURRENT_BINARY_DIR})

link_directories (${SERVICE_DEPS_LIBRARY_DIRS})

set (SERVICE_EXEC_HANDWRITTEN_SOURCES main.cpp)
add_executable (${SERVICE_EXEC} ${SERVICE_EXEC_HANDWRITTEN_SOURCES})
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

# add warnings/coverage info on handwritten files
# but not the generated ones...
set_property (SOURCE ${SERVICE_LIB_HANDWRITTEN_SOURCES} ${SERVICE_EXEC_HANDWRITTEN_SOURCES}
              APPEND_STRING PROPERTY COMPILE_FLAGS " -std=c++11 -fPIC -g ${CXX_WARNING_ARGS} ${GCOV_FLAGS}")

set_property (SOURCE main.cpp APPEND PROPERTY COMPILE_DEFINITIONS PLUGINDIR="${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")

add_subdirectory (dm-plugin)

=== tests/CMakeLists.txt ===
find_package(GMock REQUIRED)

include(FindValgrind)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  # turn off the warnings that break Google Test
  set (CXX_WARNING_ARGS "${CXX_WARNING_ARGS} -Wno-global-constructors -Wno-weak-vtables -Wno-undef -Wno-c++98-compat-pedantic -Wno-missing-noreturn -Wno-used-but-marked-unused -Wno-padded -Wno-deprecated -Wno-sign-compare -Wno-shift-sign-overflow")
endif()

add_definitions(-fPIC)
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fPIC -g ${CXX_WARNING_ARGS}")

# look for headers in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR})
include_directories (${DBUSTEST_INCLUDE_DIRS})

function(add_valgrind_test_by_name name)
  set (TEST_NAME ${name})
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
  add_valgrind_test(${TEST_NAME} VALGRIND ./${TEST_NAME})
  target_link_libraries (${TEST_NAME} indicator-transfer ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
endfunction()
add_valgrind_test_by_name(test-controller)
add_valgrind_test_by_name(test-multisource)
add_valgrind_test_by_name(test-plugin-source)
set(PLUGIN_NAME "mock-source-plugin")
add_library(${PLUGIN_NAME} STATIC mock-source-plugin.cpp)
target_link_libraries(${PLUGIN_NAME} PRIVATE ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})

function(add_test_by_name name)
  set (TEST_NAME ${name})
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
  add_test (${TEST_NAME} ${TEST_NAME})
  target_link_libraries (${TEST_NAME} indicator-transfer ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
endfunction()
add_test_by_name(test-view-gmenu)

#add_test_by_name(test-mocks)
#add_test_by_name(test-gactions)
#add_test_by_name(test-actions-live)
#add_test_by_name(test-menus)
#add_test_by_name(test-exporter)

add_test (cppcheck cppcheck --enable=all -q --error-exitcode=2 --inline-suppr -I${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests)

=== src/dm-plugin/CMakeLists.txt ===
# the DownloadManager source plugin...
set(DM_LIB "dmtransfers")

set(DM_SOURCES
    dm-source.cpp
    dm-plugin.cpp)

include_directories (
    ${CAMAKE_SOURCE_DIR}/src)

add_library(${DM_LIB} MODULE ${DM_SOURCES})

target_link_libraries (${DM_LIB}
    indicator-transfer
    ${SERVICE_DEPS_LIBRARIES}
    ${GCOV_LIBS})

install(TARGETS ${DM_LIB} LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

set_property (SOURCE ${DM_SOURCES}
              APPEND_STRING PROPERTY COMPILE_FLAGS " -std=c++11 -fPIC -g ${CXX_WARNING_ARGS} ${GCOV_FLAGS}")

=== debian/changelog ===
lomiri-indicator-transfer (1.1.0-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:58:34 +0000

lomiri-indicator-transfer (1.1.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:08:35 +0000

lomiri-indicator-transfer (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062670

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 09:47:28 +0000

lomiri-indicator-transfer (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 12:08:09 +0100

lomiri-indicator-transfer (1.0.0-3) unstable; urgency=medium

  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0
    (closes: #1041136)
  * debian/control: Use my debian email

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 21:19:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lomiri-indicator-transfer
 Section: misc
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Marius Gripsgard <marius@ubports.com>,
-Build-Depends: debhelper-compat (= 13),
+ Marius Gripsgard <mariogrip@debian.org>,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
                dbus,
                libglib2.0-dev (>= 2.35.4),
@@ -36,7 +37,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          lomiri-indicator-transfer-common (>= ${source:Version}),
-         libindicator-transfer1 (= ${binary:Version}),
+         libindicator-transfer1t64 (= ${binary:Version}),
          ayatana-indicator-common,
 Recommends: indicator-applet | indicator-renderer,
             content-hub,
@@ -69,7 +70,10 @@
  .
  This package contains the associated download manager.
 
-Package: libindicator-transfer1
+Package: libindicator-transfer1t64
+Provides: ${t64:Provides}
+Replaces: libindicator-transfer1
+Breaks: libindicator-transfer1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -87,7 +91,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libindicator-transfer1 (= ${binary:Version}),
+         libindicator-transfer1t64 (= ${binary:Version}),
 Description: Development files for indicator-transfer
  Indicator that shows file/data transfers in the indicator bar of the
  Lomiri operating shell.

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/indicator-transfer/tags .*/indicator-transfer-(\d\S+)\.tar\.gz

## lomiri-indicator-transfer 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.5)
-project (indicator-transfer VERSION 1.1.0 LANGUAGES C CXX)
+project (lomiri-indicator-transfer VERSION 1.2.0 LANGUAGES C CXX)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -28,10 +28,10 @@
 ## Version
 ##
 
-set(INDICATOR_TRANSFER_VERSION_MAJOR 1)
-set(INDICATOR_TRANSFER_VERSION_MINOR 0)
-set(INDICATOR_TRANSFER_VERSION_PATCH 0)
-set(INDICATOR_TRANSFER_VERSION "${INDICATOR_TRANSFER_VERSION_MAJOR}.${INDICATOR_TRANSFER_VERSION_MINOR}.${INDICATOR_TRANSFER_VERSION_PATCH}")
+set(LOMIRI_INDICATOR_TRANSFER_VERSION_MAJOR 1)
+set(LOMIRI_INDICATOR_TRANSFER_VERSION_MINOR 0)
+set(LOMIRI_INDICATOR_TRANSFER_VERSION_PATCH 0)
+set(LOMIRI_INDICATOR_TRANSFER_VERSION "${LOMIRI_INDICATOR_TRANSFER_VERSION_MAJOR}.${LOMIRI_INDICATOR_TRANSFER_VERSION_MINOR}.${LOMIRI_INDICATOR_TRANSFER_VERSION_PATCH}")
 
 ##
 ##  Check for prerequisites
@@ -61,6 +61,10 @@
 ##
 ##  Actually building the service
 ##
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 # those GActionEntry structs tickle -Wmissing-field-initializers
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
          DESTINATION "${XDG_AUTOSTART_DIR}")
 
 ##
-##  Unity Indicator File
+##  Ayatana Indicator File
 ##
 
 # where to install

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-set (SERVICE_LIB "indicator-transfer")
-set (SERVICE_EXEC "indicator-transfer-service")
+set (SERVICE_LIB "lomiri-indicator-transfer")
+set (SERVICE_EXEC "lomiri-indicator-transfer-service")
 
 add_definitions (-DG_LOG_DOMAIN="${CMAKE_PROJECT_NAME}")
 
@@ -18,8 +18,8 @@
 target_link_libraries (${SERVICE_LIB} PRIVATE ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS})
 
 set_target_properties(${SERVICE_LIB} PROPERTIES
-  VERSION ${INDICATOR_TRANSFER_VERSION}
-  SOVERSION ${INDICATOR_TRANSFER_VERSION_MAJOR}
+  VERSION ${LOMIRI_INDICATOR_TRANSFER_VERSION}
+  SOVERSION ${LOMIRI_INDICATOR_TRANSFER_VERSION_MAJOR}
 )
 install (TARGETS ${SERVICE_LIB} LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif()
 
 add_definitions(-fPIC)
-SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fPIC -g ${CXX_WARNING_ARGS}")
+SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -g ${CXX_WARNING_ARGS}")
 
 # look for headers in our src dir, and also in the directories where we autogenerate files...
 include_directories (${CMAKE_SOURCE_DIR}/src)
@@ -22,7 +22,7 @@
   set (TEST_NAME ${name})
   add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
   add_valgrind_test(${TEST_NAME} VALGRIND ./${TEST_NAME})
-  target_link_libraries (${TEST_NAME} indicator-transfer ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
+  target_link_libraries (${TEST_NAME} lomiri-indicator-transfer ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
 endfunction()
 add_valgrind_test_by_name(test-controller)
 add_valgrind_test_by_name(test-multisource)
@@ -35,7 +35,7 @@
   set (TEST_NAME ${name})
   add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
   add_test (${TEST_NAME} ${TEST_NAME})
-  target_link_libraries (${TEST_NAME} indicator-transfer ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
+  target_link_libraries (${TEST_NAME} lomiri-indicator-transfer ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
 endfunction()
 add_test_by_name(test-view-gmenu)

=== include/transfer/CMakeLists.txt ===
set (SERVICE_LIB_PUBLIC_HEADERS
    model.h
    source.h
    transfer.h)

install (FILES ${SERVICE_LIB_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${CMAKE_PROJECT_NAME}/transfer)

=== debian/changelog ===
lomiri-indicator-transfer (1.2.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_data-com.lomiri.indicator.transfer-Add-desktop_greet.patch.
      Also show transfer indicator in Lomiri Greeter on Desktop.
  * debian/rules:
    + Add dh_auto_clean override, cleaning up build cruft after build. (Closes:
      #1049123).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Jun 2025 15:55:40 +0200

lomiri-indicator-transfer (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Update upstream URL where referenced.
    + Adapt to upstream renaming (indicator-transfer -> lomiri-indicator-
      transfer).
  * debian/patches:
    + Drop 0001-Bump-cpp-std-version-to-14.patch and 0002_lomiri-indicators-
      target.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Oct 2024 01:14:38 +0200

lomiri-indicator-transfer (1.1.0-4) unstable; urgency=medium

  * debian/control:
    + In R:, switch from content-hub to lomiri-content-hub.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 08 Sep 2024 22:59:04 +0200

lomiri-indicator-transfer (1.1.0-3) unstable; urgency=medium

  * debian/patches:
    + Add 0002_lomiri-indicators-target.patch. Start with lomiri-
      indicators.target, not ayatana-indicators.target.
  * debian/control:
    + Drop from D: ayatana-indicator-common. The ayatana-indicators.target
      shipped in it is not used anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 12:23:37 +0200

lomiri-indicator-transfer (1.1.0-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + In B-D, switch from systemd to systemd-dev. (Closes: #1060579).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 May 2024 19:27:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-indicator-transfer
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <mariogrip@debian.org>,
@@ -25,10 +24,10 @@
                google-mock (>= 1.8.0),
                valgrind-if-available,
 # for systemd unit directory
-               systemd,
-Standards-Version: 4.6.2
+               systemd-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/development/core/indicator-transfer
+Homepage: https://gitlab.com/ubports/development/core/lomiri-indicator-transfer
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer.git
 
@@ -37,10 +36,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          lomiri-indicator-transfer-common (>= ${source:Version}),
-         libindicator-transfer1t64 (= ${binary:Version}),
-         ayatana-indicator-common,
+         liblomiri-indicator-transfer1 (= ${binary:Version}),
 Recommends: indicator-applet | indicator-renderer,
-            content-hub,
+            lomiri-content-hub,
             lomiri-download-manager,
             lomiri-indicator-transfer-download-manager (>= ${binary:Version}),
 Description: Lomiri Indicator showing transfers
@@ -70,29 +68,26 @@
  .
  This package contains the associated download manager.
 
-Package: libindicator-transfer1t64
-Provides: ${t64:Provides}
-Replaces: libindicator-transfer1
-Breaks: libindicator-transfer1 (<< ${source:Version})
+Package: liblomiri-indicator-transfer1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Description: Shared library used by transfer-indicator and plugins
+Description: Shared library used by Lomiri's Transfer Indicator and plugins
  Indicator that shows file/data transfers in the indicator bar of the
  Lomiri operating shell.
  .
  This package contains a shared library used by Lomiri Indicator
  Transfer.
 
-Package: libindicator-transfer-dev
+Package: liblomiri-indicator-transfer-dev
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libindicator-transfer1t64 (= ${binary:Version}),
-Description: Development files for indicator-transfer
+         liblomiri-indicator-transfer1 (= ${binary:Version}),
+Description: Development files for lomiri-indicator-transfer
  Indicator that shows file/data transfers in the indicator bar of the
  Lomiri operating shell.
  .

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,9 @@
 	ctest -j1 --output-on-failure
 endif
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm Testing -Rfv
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
